SalesOS.

Interactive Proposals

Dynamic trackable proposals

Interactive Proposals Controller_list Proposals

GET
/v1/interactive-proposals

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/interactive-proposals" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_create Proposal

POST
/v1/interactive-proposals

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/interactive-proposals" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_get Stats

GET
/v1/interactive-proposals/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/interactive-proposals/stats" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_get Templates

GET
/v1/interactive-proposals/templates

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/interactive-proposals/templates" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_get Proposal

GET
/v1/interactive-proposals/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/interactive-proposals/<string>" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_update Proposal

PATCH
/v1/interactive-proposals/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/interactive-proposals/<string>" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_delete Proposal

DELETE
/v1/interactive-proposals/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/interactive-proposals/<string>" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_share Proposal

POST
/v1/interactive-proposals/{id}/share

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/interactive-proposals/<string>/share" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_get Analytics

GET
/v1/interactive-proposals/{id}/analytics

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/interactive-proposals/<string>/analytics" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_get Comments

GET
/v1/interactive-proposals/{id}/comments

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/interactive-proposals/<string>/comments" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_duplicate Proposal

POST
/v1/interactive-proposals/{id}/duplicate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/interactive-proposals/<string>/duplicate" \
  -H "Authorization: Bearer <token>"

Interactive Proposals Controller_generate Section

POST
/v1/interactive-proposals/{id}/generate-section

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/interactive-proposals/<string>/generate-section" \
  -H "Authorization: Bearer <token>"